require 'rails_helper'

RSpec.describe Dunlop::InterpretedTextHelper, type: :helper do
  subject { helper }
  describe '#interpreted_text' do
    it "interprets model names" do
      result = subject.interpreted_text "The ${models.user} is part of the ${models.plural.user} community"
      result.should eq "The Gebruiker is part of the Gebruikers community"
    end
  end
end
